@tool
class_name TargetReached extends ConditionLeaf
## Has the nav agent reached its current target?

@onready var nav_agent: NavigationAgent3D = %NavAgent


func tick(_actor: Node, _blackboard: Blackboard) -> int:
	return SUCCESS if nav_agent.is_target_reached() else FAILURE
